package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding;
import org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder;
import org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment;
import org.eclipse.jdt.internal.compiler.lookup.UnresolvedReferenceBinding;

class AnnotationMethodHolder extends AnnotationHolder.MethodHolder {
  Object defaultValue;
  
  LookupEnvironment env;
  
  AnnotationMethodHolder(AnnotationBinding[] annotations, AnnotationBinding[][] parameterAnnotations, Object defaultValue, LookupEnvironment optionalEnv) {
    super(annotations, parameterAnnotations);
    this.defaultValue = defaultValue;
    this.env = optionalEnv;
  }
  
  Object getDefaultValue() {
    if (this.defaultValue instanceof UnresolvedReferenceBinding) {
      if (this.env == null)
        throw new IllegalStateException(); 
      this.defaultValue = ((UnresolvedReferenceBinding)this.defaultValue).resolve(this.env, false);
    } 
    return this.defaultValue;
  }
}
